Config::Model::Role::NodeLoader(3pm)

NAME
Config::Model::Role::NodeLoader - Load Node element in configuration tree

VERSION
version 2.165

SYNOPSIS
 $self->load_node( config_class_name => "...", %other_args);

DESCRIPTION
Role used to load a node element using Config::Model::Node (default behavior).

If the config class overrides the default implementation, ( "class" parameter ), the override class is loaded and used to create the node.

METHODS

  load_node
Creates a node object using all the named parameters passed to load_node. One of these parameter must be "config_class_name"

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999